## postgresql-common 27

=== debian/changelog ===
postgresql-common (27) unstable; urgency=low

  * Changed my debuild alias to explicitly ignore .arch-ids directories (a
    mere -i catched some, but not all arch directories). Closes: #328204
  * Add lintian overrides for missing manpages; manpages are provided by
    postgresql-client-X.Y packages.
  * pg_ctlcluster: Have autovac-* commands error out with a meaningful message
    instead of claiming success if pg_autovacuum is not available.
  * pg_ctlcluster:
    - Increase the timeout for the started postmaster to 30 seconds to cope
      with slow startup. Closes: #320444
    - Immediately fail if the postmaster produced log output and does not run
      any more. This avoids unnecessary timeouts on configuration errors and
      the like.
  * pg_createcluster: Listen on localhost by default only since upstream
    considers listening on all interfaces by default not safe enough.
    Closes: #318820
  * pg_dropcluster: Handle missing data directories gracefully. 
    Closes: #330135

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2005 22:59:04 +0200

postgresql-common (26) unstable; urgency=low

  * Fix permissions of socket directory:
    - debian/postgresql-common.postinst: Drop creation of socket directory
      since we do it in the init script anyway.
    - debian/init.d-functions: Create directory with permissions 2775 instead
      of 755 and also correct the permissions of an already existing
      directory.
    - Closes: #326049
  * debian/postgresql-common.postinst: Remove --no-create-home option from
    adduser call to ensure that the postgres user always has a sensible home
    directory that does not break "su - postgres".
  * pg_wrapper: Give a meaningful error message if no client packages are
    installed, instead of "Invalid PostgreSQL cluster version".
    Closes: #326771
  * debian/README.Devel: Explain the structure and development of Debian's
    PostgreSQL packages.

 -- Martin Pitt <mpitt@debian.org>  Wed,  7 Sep 2005 10:50:31 +0200

postgresql-common (25) unstable; urgency=low

  * PgCommon.pm, get_cluster_socketdir():
    - If the socket directory is configured in postgresql.conf, use it right
      away instead of doing experiments before.
    - Improved sanity checking.
    - Error out if the data directory cannot be stat'ed, since we cannot
      determine a sensible directory in this case.
  * pg_upgradecluster: Don't call cluster_info() on the yet nonexistant
    new cluster, just check for the data directory for determining if the new
    cluster already exists.
  * debian/control: Add adduser dependency.
  * testsuite: Generalize stopping of servers to work with all versions.
  * Avoid whinging during log rotation if there is no log file at all:
    - debian/postgresql-common.logrotate: Add "missingok".
    - debian/postgresql-common.dirs: Create /var/log/postgresql/.
    - Server packges have been changed to not clean away /var/log/postgresql/
      on purge.
    - Closes: #325330
  * pg_ctlcluster: When starting the autovacuum daemon, don't just wait for 1
    second, but actually test if the server is running  (timeout: 5 seconds);
    this should make the daemon startup much more reliable.
  * Remove test upgrade script upgrade-scripts/all_test_t1.sql, it has done
    its purpose now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Aug 2005 01:01:49 +0200

postgresql-common (24) unstable; urgency=low

  * Add /usr/share/postgresql-common/pg_checksystem: Check system parameters
    which are relevant to PostgreSQL. Right now this checks if write caching
    is enabled on any disk containing PostgreSQL clusters.
  * debian/postgresql-common.postinst: Call pg_checksystem. Closes: #318928
  * Bump Standards-Version to 3.6.2.
  * debian/postgresql-common.postinst: Setup user 'postgres' with /bin/bash as
    default shell. Closes: #320810
  * pg_wrapper, debian/postgresql-common.links: Wrap reindexdb, it is a
    standard client program in 8.1.
  * pg_createcluster: Do not create autovacuum log file for servers >= 8.1.
  * PgCommon.pm: For determining avac_enable on 8.1+ servers, read
    "autovacuum" setting from postgresql.conf.
  * pg_maintenance: Use avac_enable flag instead of checking for the
    pg_autovacuum pid file to determine whether autovacuuming is enabled. This
    is a more general approach and works for all server versions.
  * pg_ctlcluster: Do not attempt to start pg_autovacuum on 8.1+ servers.
  * pg_createcluster: Add hook for version specific function to configure
    postgresql.conf.
  * pg_createcluster: Add default configuration for 7.4 clusters:
    - tcpip_socket = true
    - stats_row_level = true
  * pg_createcluster: Add default configuration for 8.0 clusters:
    - listen_addresses = '*'
    - stats_row_level = true
  * pg_createcluster: Add default configuration for 8.1 clusters:
    - listen_addresses = '*'
    - stats_row_level = on
    - autovacuum = on
  * PgCommon.pm, set_conf_value(): Preserve comments.
  * debian/postgresql-common.postinst: Generalized restarting of all clusters
    to make it automatically work for future versions.
  * pg_createcluster: Adapt pg_hba.conf to the current default (md5 for host
    connections, ident sameuser for local ones); this obsoletes the
    default-pg_hba.conf patches in the server packages.
  * user_clusters: Update comments, throw out bogus documentation.
    Closes: #324749
  * pg_createcluster: Only mangle configuration files (pg_hba.conf, SSL
    enabling, etc.) if we create a new cluster, not if we integrate an already
    existing one. Closes: #323878
  * Add debian/postgresql-common.logrotate: Simple log rotation. 
    Closes: #316100

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Aug 2005 23:10:09 +0200

postgresql-common (23) unstable; urgency=low

  * pg_maintenance: Change directory to / before changing uid to avoid "could
    not change directory" errors. Closes: #318604.
  * Drop upgrade-scripts/all_vacuum_t1.sql since it causes too much trouble

