=== debian/control ===
Source: postgresql-common
Section: misc
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
Standards-Version: 3.6.2
Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)

Package: postgresql-common
Architecture: all
Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
Depends: ${shlibs:Depends}, adduser
Recommends: openssl
Description: manager for PostgreSQL database clusters
 postgresql-common provides a structure under which multiple versions of
 PostgreSQL may be installed and/or multiple clusters maintained at one
 time.
 .
 If you have openssl installed, this package will automatically create a (self
 signed) SSL certificate so that SSL works out of the box.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.
