## postgresql-common 27ubuntu2

=== debian/changelog ===
postgresql-common (27ubuntu2) breezy-updates; urgency=low

  * pg_createcluster: 
    - Do not enable SSL on 7.4 clusters since enabling it without enabling the
      TCP socket breaks.
    - Fix backported from version 29.
    - Malone #33996.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  8 Mar 2006 12:48:49 +0100

postgresql-common (27ubuntu1) breezy-updates; urgency=low

  * debian/postgresql-common.postinst: Revert change of version 26: Do create
    the socket directory in the postinst, otherwise clusters will default to
    socket directory /tmp in fresh installs. (Ubuntu #17332)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Oct 2005 13:12:08 +0200
