## postgresql-common 39.1~breezy1

=== debian/changelog ===
postgresql-common (39.1~breezy1) breezy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Thu, 19 Jan 2006 17:21:56 +0000

postgresql-common (39.1) dapper; urgency=low

  * Current snapshot from bzr head to support postgresql-8.1 breezy-backport.
  * debian/supported-versions: Add 8.1 to Ubuntu 5.10 to properly support
    backport.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat,  7 Jan 2006 13:11:24 +0100

postgresql-common (39) unstable; urgency=low

  * Add t/090_multicluster.t: Test multicluster operation and environment
    variable handling (PGCLUSTER, PGPORT).
  * pg_upgradecluster: When upgrading from < 8.1 to >= 8.1, check for users
    and groups with the same name and abort if there are any. Closes: #343622
  * t/040_upgrade.t: Add self test for above bug (clashing role names on
    upgrade).
  * testsuite: Run the tests twice; once with umask 022, once with umask 077.
  * Fix operation under umask 077:
    - pg_createcluster: Create /var/log/postgresql with mode 0755.
    - PgCommon.pm, set_cluster_start_conf(): Always create start.conf with
      0644 mode by default, but preserve permissions when changing the file.
    - pg_upgradecluster: Ensure correct permissions of the temporary
      pg_hba.conf that only allows superuser connections. Closes: #345670

 -- Martin Pitt <mpitt@debian.org>  Tue,  3 Jan 2006 20:27:10 +0100

postgresql-common (38) unstable; urgency=low

  * pg_ctlcluster: Remove --setuid option, it does not make too much sense
    after all and only confuses users. Closes: #343063
  * Remove pg_ctlcluster's -s option from all scripts.
  * pg_wrapper: Fix 'postgreqsl' typo in POD. Closes: #343938
  * pg_createcluster: Do not simply close STDOUT, but reopen it to /dev/null
    to avoid initdb complaining about invalid filehandles. Closes: #344180
  * debian/init.d-functions: Check if the requested version's postmaster is
    available before trying to start/stop a cluster to avoid errors when a
    server package is removed, but not purged. Closes: #343730

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Dec 2005 18:41:23 +0100

postgresql-common (37) unstable; urgency=low

  * debian/postgresql-common.config: Only show the obsolete version warning
    once.
  * Add French debconf translations, thanks to Guilhelm Panaget.
    Closes: #340200, #341267
  * debian/postgresql-common.postinst: Change default permissions of the
    private SSL key to root:postgres 0640 to prevent potential modification of
    the certificate by the postmaster. Closes: #341141
  * Add Czech debconf translations, thanks to Miroslav Kure. Closes: #341951
  * debian/postgresql-common.postinst: Check that the postgres user/group is
    not root; fail installation with a meaningful error message if it is.
    Closes: #340459
  * t/040_upgrade.t: Check upgrading of sequence and stored PL/PgSQL
    procedure.
  * pg_upgradecluster: Change hardcoded and obsolete library paths to
    '$libdir' in the new cluster. This fixes upgrades of 7.4 clusters that
    were upgraded from woody. Closes: #338031

 -- Martin Pitt <mpitt@debian.org>  Sat, 10 Dec 2005 23:36:41 +0100

postgresql-common (36) unstable; urgency=low

  * pg_createcluster: Add --start-conf option to set start.conf value.
  * t/080_start.conf.t: Test --start-conf option.
  * debian/postgresql-common.config: Fix determination of latest version: Use
    highest supported version, not highest installed one.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Nov 2005 23:23:18 +0100

postgresql-common (35) unstable; urgency=low

  * pg_ctlcluster: If the socket already responds, but connections fail
    several times in a row, give the postmaster some more time (5s) to
    actually accept connections.
  * t/060_obsolete_confparams.t: Start with a full configuration file for
    every tested version, instead of just upgrading the previously upgraded
    version. This gives an exhaustive check for obsolete parameters.
  * pg_upgradecluster: Handle all outstanding obsolete parameters when
    upgrading to 8.1:
    - bgwriter_percent -> bgwriter_{lru,all}_percent
    - bgwriter_maxpages -> bgwriter_{lru,all}_maxpages
  * PgCommon.pm: Add new function set_cluster_start_conf() for easier change
    of start.conf.
  * Rename test 030_create_errors.t to 030_errors.t since it covers more
    errors than just creation failures.
  * Add test t/080_start.conf.t: Check start.conf handling and upgrading.
  * debian/supported-versions: Add Debian release 3.1.
    Closes: #340397, #340483
  * debian/postgresql-common.config: Ignore things in /usr/lib/postgresql that
    are not a version-specific postgresql subdirectory. Closes: #340470
  * t/001_packages.t: Check that procps is installed, the selftests need it.

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 Nov 2005 22:27:51 +0100

postgresql-common (34) unstable; urgency=low

  * debian/postgresql-common.postrm: Fix syntax error.
  * Add debian/supported-versions: Script to determine the set of supported
    PostgreSQL major versions for the running distro/release. Currently covers
    Debian sid/testing, Ubuntu 5.10 and Ubuntu 6.04.
  * debian/postgresql-common.config: Remove hardcoded versions, use
    supported-versions now.
  * Minor test suite variable cleanup.
  * debian/README.Debian: Update for version 8.1.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Nov 2005 01:17:32 +0100

postgresql-common (33) unstable; urgency=low

  * pg_wrapper: Instead of checking $0 against a static list, just check
    whether the program is available in postgresql's bin dir. This allows
    other packages which provide stuff in pg_bin to install additional
    symlinks and get pg_wrapper support for free.
  * pg_checksystem, pg_createcluster, pg_dropcluster, pg_upgradecluster: Check
    that effective user is root before doing anything to avoid confusing error
    messages.

