## postgresql-common 53ubuntu3

=== debian/changelog ===
postgresql-common (53ubuntu3) dapper; urgency=low

  * debian/control: Have p-common always depend on the recent p-client-common,
    since the latter ships PgCommon.pm. If the library is out of date, this
    can break operations horribly. (http://bugs.debian.org/369289)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 May 2006 08:56:06 +0200

postgresql-common (53ubuntu2) dapper; urgency=low

  * debian/supported-versions: Recognize both '6.06' and '6.06LTS' as version
    numbers for Ubuntu dapper.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 May 2006 11:10:37 +0200

postgresql-common (53ubuntu1) dapper; urgency=low

  * debian/supported-versions:
    - Adapt Ubuntu dapper version number to 6.06LTS.
    - Fix bashism: 'type -p' -> 'type'.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 May 2006 07:52:47 +0200

postgresql-common (53) unstable; urgency=medium

  * Urgency medium since this fixes a quite serious bug; no intrusive changes
    otherwise.
  * Add Russian debconf translation, thanks to Yuriy Talakan'
    <yt@amur.elektra.ru>! Closes: #367152
  * t/001_packages.t: Check that the locales used in the tests are installed
    so that the test suite fails early if not.
  * t/050_encodings.t, t/060_obsolete_confparams.t: Use ru_RU{,.UTF-8} for
    tests, since they have more potential for failure.
  * t/050_encodings.t:
    - Add check for https://launchpad.net/bugs/39177: Correct encoding of
      server error messages under various locales.
    - Add check for bug #343057: Correct startup if client_encoding and
      lc_messages settings do not match.
  * pg_ctlcluster: Set LC_CTYPE environment variable to unbreak server error
    messages. (Closes https://launchpad.net/bugs/39177). By only setting CTYPE
    we also avoid reintroducing bug #343057. (Yay for postmaster being so anal
    about its environment)
  * t/020_create_sql_remove.t: Consider LC_CTYPE a safe environment variable.
  * debian/postgresql-common.postinst: Bump version comparison for restarting
    postgresql servers to this version, to ensure that above bug fix becomes
    active.

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 May 2006 18:58:25 +0200

postgresql-common (52) unstable; urgency=low

  * Bump Standards-Version to 3.7.2.
  * Merge support for system wide snakeoil SSL certificate from Ubuntu branch
    and eliminate our custom SSL certificate juggling:
    - debian/control:
      + Depend on ssl-cert which provides snakeoil cert and the ssl-cert
        group.
      + Remove Recommends: openssl.
    - debian/postgresql-common.postinst:
      + Remove generation of PostgreSQL specific SSL certificate.
      + Add postgres user to the ssl-cert group on upgrades to this version or
        on fresh installs.
    - pg_createcluster:
      + Adapt cert/key paths to snakeoil.
      + Update manpage documentation POD.
      + Enable SSL only if SSL key can be accessed with the cluster owner's
        privileges.
    - debian/README.Debian: Update documentation of SSL certificate handling.

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 May 2006 22:25:49 +0200

postgresql-common (51) unstable; urgency=low

  * PgCommon.pm: Add function read_pg_hba() to parse pg_hba.conf.
  * Add t/005_PgCommon.t: Designated for testing PgCommon.pm library
    functions; test read_pg_hba() for now.
  * pg_ctlcluster: Check pg_hba.conf if the database superuser can connect
    locally without a password. If not, disable startup checks to avoid asking
    for the superuser password. (https://launchpad.net/bugs/37640)
  * t/030_errors.t: Test above pg_ctlcluster checks.

 -- Martin Pitt <mpitt@debian.org>  Mon,  1 May 2006 14:38:53 +0200

postgresql-common (50) unstable; urgency=low

  * t/030_errors.t: Check that pg_wrapper and administration programs give
    sane error messages instead of 'Invalid symbolic link blabla' for a
    nonexisting cluster.
  * pg_ctlcluster, pg_dropcluster: Print meaningful error message on
    nonexisting cluster. Closes: #360701
  * pg_dropcluster: Rename --stop-server to --stop to be consistent with
    pg_createcluster's --start, and update documentation. --stop-server still
    works for backward compatibility, though. Closes: #360697
  * debian/README.Debian:
    - Update createuser invocation description for 8.1+. Closes: #361731
    - Update autovacuum daemon description; explain integrated autovacuuming
      for 8.1+.
  * pg_ctlcluster: Fail autovac-* commands for 8.1+ clusters. Closes: #360888
  * debian/init.d-functions: Fix handling of failing pg_ctlcluster
    invocations. Closes: #362825
  * pg_createcluster: Explain syntax of the environment file in more detail.
  * Add t/110_integrate_cluster.t: Test various scenarios of integrating 
    already existing clusters.
  * pg_createcluster: Determine correct owner and group when integrating an
    already existing cluster.

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Apr 2006 23:09:36 +0200

postgresql-common (49) unstable; urgency=low

  * debian/supported-versions:
    - Do not fail the package installation if an unknown LSB release is
      encountered; merely print a warning and assume just the latest
      PostgreSQL version is supported.
    - Fix Ubuntu Dapper release version (6.04 -> 6.06).
      (https://launchpad.net/bugs/36921)
  * pg_createcluster: Add option -p/--port to set the cluster port.
    Closes: #359249
  * t/030_errors.t: Check that pg_createcluster's --port option validates the
    port number (invalid number, already used port).
  * t/090_multicluster.t: Check that pg_createcluster's --port option works.
  * t/050_encodings.t: Check correct input/output with Latin-1 and UTF-8
    client encodings in all server locale/encoding combinations.
  * pg_ctlcluster: Do not set LC_ALL and LANG environment variables for the
    postmaster; it handles locales by itself, and explicitly setting them
    breaks sometimes. Thanks to Olleg Samoylov for analyzing this.
    Closes: #343057

