=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)
 
 Package: postgresql-common
 Architecture: all
 Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
 Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
-Depends: ${shlibs:Depends}, adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base
-Recommends: openssl
+Depends: postgresql-client-common (>= ${Source-Version}), adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), ssl-cert (>= 1.0.11)
 Description: manager for PostgreSQL database clusters
  postgresql-common provides a structure under which multiple versions of
  PostgreSQL may be installed and/or multiple clusters maintained at one
@@ -28,3 +27,24 @@
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
 
+Package: postgresql-client-common
+Architecture: all
+Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-common (<< 45)
+Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-common (<< 45)
+Depends: debconf (>= 0.5.00) | debconf-2.0
+Description: manager for multiple PostgreSQL client versions
+ postgresql-client-common provides a structure under which multiple
+ versions of PostgreSQL client programs may be installed at the same
+ time. It provides a wrapper which selects the right version for the
+ particular cluster you want to access (with a command line option, an
+ environment variable, /etc/postgresql-commmon/user_clusters, or
+ ~/.postgresqlrc).
+ .
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.
+
