## postgresql-common 62

=== debian/changelog ===
postgresql-common (62) unstable; urgency=low

  * t/080_start.conf.t: Check that stop'ing a cluster works even if the
    cluster is disabled (test for bug #386996).
  * pg_ctlcluster: Allow 'stop' and 'autovac-stop' for disabled clustes.
    Closes: #386996
  * Reduce options passed to postmaster at runtime to shorten command line and
    make the configuration more obvious and explicit:
    - pg_ctlcluster: Do not pass unix_socket_dir/hba_file/ident_file if it is
      already defined in postgresql.conf.
    - pg_createcluster: If we create a cluster >= 8.0, set hba_file,
      ident_file, and external_pid_file in postgresql.conf.
    - 070_non_postgres_clusters.t: Fix expected output accordingly and
      use 'ls' for socket check instead of looking at the command line.
    - Closes: #384999

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Sep 2006 09:12:20 +0200

postgresql-common (61) unstable; urgency=low

  * pg_lsclusters: Remove trailing spaces from output, adapt test suite
    accordingly.
  * pg_upgradecluster: Correctly pass custom datadir to pg_createcluster.
    Closes: #385034
  * Add t/041_upgrade_custompaths.t: Test upgrading with a custom data
    directory and log file path (this also covers bug #385034).

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2006 13:08:58 +0200

postgresql-common (60) unstable; urgency=low

  * Update Czech debconf translations, thanks to Miroslav Kure.
    Closes: #384757
  * t/090_multicluster.t: Check that $PGHOST and $PGDATABASE environment
    variables are respected and have the correct precedence. (This reproduces
    #385971). Now this test has full coverage of all libpq environment
    variables but $PGUSER (which is not used at all anywhere).
  * pg_wrapper: Do not override $PGDATABASE and $PGHOST with user_clusters
    map. Closes: #385971
  * Update Dutch debconf translations, thanks to Vincent Zweije.
    Closes: #386704
  * pg_createcluster: Fix POD to have consistent long-option syntax. Thanks to
    Bastian Kleineidam! (Part of bug #386148)
  * Improve handling of custom socket directories:
    - pg_createcluster: Create a nonexisting directory.
    - pg_dropcluster: Remove empty socket directory unless it's /tmp or
      /var/run/postgresql.
    - Thanks to Bastian Kleineidam for the suggestions.
    - t/030_errors.t: Do not create our custom socket dir ourselves any more,
      since pg_createcluster is now supposed to handle that (thus providing a
      test case).
    - Closes:  #386148

 -- Martin Pitt <mpitt@debian.org>  Sun, 10 Sep 2006 13:31:11 +0200

postgresql-common (59) unstable; urgency=low

  * t/001_packages.t: Check that p-plpython-X.Y is installed.
  * t/020_create_sql_remove.t: Check that PL/Python works properly.
  * Update French debconf translations, thanks to Guilhelm Panaget
    <guilhelm.panaget@free.fr>. Closes: #382447
  * Add Portugese debconf translations, thanks to Rui Branco
    <ruipb@debianpt.org>. Closes: #381946
  * postgresql-common/debian/postgresql-common.config:
    - Ensure that the 'untransitioned' critical debconf note is always shown,
      not just once. Otherwise the preinst just fails without giving any hint
      about the reason after the first failure.
    - Additionally print a small hint to stderr, for the case that people do
      not use the interactive frontend.
    - Closes: #382134

 -- Martin Pitt <mpitt@debian.org>  Sat, 12 Aug 2006 18:40:21 +0200

postgresql-common (58) unstable; urgency=low

  * pg_wrapper: Improve manpage POD, describe the precise rules for cluster
    selection.
  * t/090_multicluster.t: Check for proper error message of pg_wrapper (no
    suitable default cluster) if several local clusters exist and none are on
    the default port.
  * pg_wrapper: Print proper error message if no cluster is suitable as
    default target and point to man pg_wrapper.
  * pg_upgradecluster:
    - Support /etc/postgresql-common/pg_upgradecluster.d/ hook scripts. These
      are called after creating the virgin new version cluster (phase 'init')
      and a second time after the upgrade is complete (phase 'finish').
      PostgreSQL extensions like PostGIS can use these hooks to initialize
      metadata which must not be upgraded from the old cluster, but
      initialized from scratch. Closes: #351571
    - Document this feature in the manpage POD.
    - If upgrade scripts are present, call pg_restore with the new -X
      no-data-for-failed-tables option to not clutter already existing tables
      in the new cluster with data from the old cluster. Abort with an error
      if the installed pg_restore does not support this option.
    - debian/postgresql-common.dirs: Ship
      /etc/postgresql-common/pg_upgradecluster.d/.
  * Add t/120_pg_upgradecluster_scripts.t: Selftest for pg_upgradecluster.d
    hooks and proper pg_restore -X no-data-for-failed-tables behaviour.
  * PgCommon.pm, get_cluster_locales(): Fix parsing of locales out of
    pg_controldata output by calling it under the locale 'C' and being more
    liberal in the regular expression. (https://launchpad.net/bugs/50755)

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jul 2006 22:34:42 +0200

postgresql-common (57) unstable; urgency=low

  * debian/postgresql-common.{preinst,config}: Check if there is a removed,
    but not purged pre-transition postgresql-client or postgresql package.
    Packages in this state subtly break operation, but are not caught by the
    Conflicts: statements. Display a critical note in that case and abort
    installation. Closes: #368827

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jun 2006 23:07:30 +0200

postgresql-common (56) unstable; urgency=low

  * debian/init.d-functions, status(): Exit with code 3 if any cluster is
    down, to get a bit closer to LSB specification (which does not
    sufficiently specify the case of controlling multiple processes in one
    init script). Thanks to Ross Boylan <RossBoylan@stanfordalumni.org>!
    Closes: #358152
  * pg_ctlcluster:

