## postgresql-common 71~bpo.1

=== debian/changelog ===
postgresql-common (71~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@backports.org>  Tue, 20 Feb 2007 20:01:35 +0100

postgresql-common (71) unstable; urgency=low

  * Add Swedish debconf translations. Thanks to Andreas Henriksson!
    Closes: #407865
  * Add Galician debconf translations. Thanks to Jacobo Tarrio!
    Closes: #408121
  * debian/supported-versions: Only 8.2 is supported in Ubuntu 7.04.
  * pg_ctlcluster: Check that $version and $cluster are still defined after
    untainting to avoid confusing (but harmless) error message.
    Closes: #406117

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Jan 2007 16:22:55 +0100

postgresql-common (70) unstable; urgency=low

  * t/050_encodings: Check that $LC_ALL dominates $LANG on pg_createcluster.
    This reproduces bug #403239.
  * pg_createcluster: If $LC_ALL is defined, fix $LANG to $LC_ALL. Servers
    prior to 8.2 get this wrong and fail over an invalid $LANG even if that is
    dominated by a valid $LC_ALL. Closes: #403239
  * Add Brazilian Portugese debconf translations. Thanks to André Luís Lopes!
    Closes: #403563
  * t/040_upgrade.t: Check that pg_upgradecluster does not have any stderr
    output (such as error messages from pg_restore, the server, or Perl
    warnings). This uncovers #403529.
  * pg_upgradecluster: Do not mangle {hba,ident,external_pid}_file values from
    old postgresql.conf if they do not exist at all. This removes the Perl
    warnings during upgrades from 7.4. Closes: #403529
  * debian/README.Debian: Describe default cluster setup and give an example
    for upgrading a cluster if a newer version with the same name already
    exists.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Dec 2006 17:00:27 +0100

postgresql-common (69) unstable; urgency=medium

  * Urgency medium, only safe fixes and this needs to go into Etch due to
    first bug fix.
  * debian/supported_versions: Gracefully fall back on an unknown
    distribution, instead of failing package installation completely.
    Closes: #400628
  * debian/supported_versions: Some minor factorization.
  * Add Spanish debconf translations, thanks to Javier Fernández-Sanguino
    Peña! Closes: #402198
  * pg_createcluster: Add --locale and the various --lc_* options that initdb
    supports, and mention in POD that directly setting --encoding is not
    recommended. Closes: #395083
  * t/050_encodings.t: Use pg_createcluster's new --locale option in some test
    cases.
  * Make testsuite work with just one installed major version (mainly boils
    down to disabling upgrade tests).

 -- Martin Pitt <mpitt@debian.org>  Sat,  9 Dec 2006 14:37:42 +0100

postgresql-common (68) unstable; urgency=low

  * debian/supported-versions: Add Debian 4.0. Closes: #399978
  * debian/postgresql-common.postinst: Use adduser option --quiet for adding
    postgres to ssl-cert. Closes: #399979
  * pg_createcluster: Enable timestamps in log files by default. Other system
    log files have timestamps, too, and they are useful. Closes: #395554
  * t/040_upgrade.t: Fix number of tests if oldest installed PostgreSQL
    version is < 8.0.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Nov 2006 21:01:30 +0100

postgresql-common (67) unstable; urgency=low

  *t/040_upgrade.t: Skip the user/group name clash test when there are only
   servers >= 8.1 installed, since it does not apply to them and breaks the
   test suite.
  * t/040_upgrade.t: Check that the upgraded cluster still works after
    removing the old one, to check for stale paths of configuration files.
  * pg_upgradecluster: Adapt path to configuration files in the target
    cluster, so that they do not refer to the files of the old cluster. (This
    fixes an upgrade regression introduced in version 62).
  * debian/supported-versions: Add Ubuntu 7.04.
  * Add Italian debconf translations. Thanks to Luca Monducci
    <luca.mo@tiscali.it>! Closes: #396947

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2006 00:11:58 -0800

postgresql-common (66) unstable; urgency=low

  * Add Japanese debconf translations. Thanks to Hideki Yamane!
    Closes: #393055
  * pg_upgradecluster: Use -X no-data-for-failed-tables only for 8.1. In
    8.2beta2 this got renamed to --no-data-for-failed-tables.

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Oct 2006 11:38:50 +0200

postgresql-common (65) unstable; urgency=low

  * pg_upgradecluster: Quiesce dropdb for already existing 'postgres'
    database.
  * pg_upgradecluster: Avoid harmless, but confusing error messages about role
    creation:
    - Do not use -c for pg_dumpall, since the target roles should not yet
      exist anyway.
    - Filter out the 'CREATE (ROLE|USER)' command for the db superuser, since
      it will already exist.
    - Testsuite: Check that pg_upgradecluster output contains no server error
      messages.
    - Closes: #389930

 -- Martin Pitt <mpitt@debian.org>  Sat,  7 Oct 2006 13:54:34 +0200

postgresql-common (64) unstable; urgency=low

  * Fix pg_ctlcluster regression from 63: 'database system is starting up'
    fatal error message caused immediate abortion of startup checks. Make the
    check easier and more robust, adapt test cases accordingly.
  * t/020_create_sql_remove.t: Add check that PL/Perl works. Check that
    -plperl-X.Y. is installed in t/001_packages.t.
  * t/{040_upgrade.t,041_upgrade_custompaths.t}: Check for pg_restore error
    messages during upgrade.
  * pg_upgradecluster: Avoid pg_restore errors during upgrade (they were
    nonfatal, but look ugly:)
    - Drop 'postgres' db in 8.1+ target cluster if the source cluster already
      has it.
    - Do not use pg_restore's --create for template1.
    - Fix hardcoded library paths before dumping/restoring the cluster, not
      after, to avoid error messages about failed library loads.

 -- Martin Pitt <mpitt@debian.org>  Fri,  6 Oct 2006 18:35:46 +0200

postgresql-common (63) unstable; urgency=low


