## postgresql-common 71~edgy1

=== debian/changelog ===
postgresql-common (71~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Feb 2007 09:00:42 +0000
