## postgresql-common 71

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk>, Norbert Tretkowski <nobse@backports.org>
+Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
 Standards-Version: 3.7.2
 Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)
