## postgresql-common 73

=== debian/changelog ===
postgresql-common (73) unstable; urgency=low

  * debian/postgresql-common.dirs: Ship /var/lib/postgresql again, creating it
    dynamically causes various upgrade failures. Closes: #416146, #416228
  * debian/postgresql-common.postinst: Call adduser with --no-create-home.
    This avoids the 'wrong owner' warning as well.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Mar 2007 18:51:27 +0200

postgresql-common (72) unstable; urgency=low

  * debian/postgresql-common.postinst: Set default /var/log/postgresql
    permissions to root:postgres 1775. Closes: #410852
  * Update Russian debconf translations. Thanks to Yuriy Talakan'!
    Closes: #414067
  * postgresql-common/debian/postgresql-common.dirs: Remove
    /var/lib/postgresql, so that adduser does not complain about a preexisting
    directory with the wrong owner any more. This also avoids removing the
    home directory of postgres when removing the package. Closes: #415444

 -- Martin Pitt <mpitt@debian.org>  Sat, 24 Mar 2007 16:06:47 +0100
