## postgresql-common 78

=== debian/changelog ===
postgresql-common (78) unstable; urgency=low

  * debian/postgresql-common.postinst: Only clean up
    /usr/lib/postgresql/dumpall/ on upgrades if it is actually a directory.
    (Closes: #440596)

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Sep 2007 20:59:30 +0200

postgresql-common (77) unstable; urgency=low

  * debian/control: Fix obsolete ${Source-Version}.
  * t/020_create_sql_remove.t: Create fake rotated log files to check that
    they are cleaned up properly.
  * pg_dropcluster: Remove rotated logs, too. (part of #431643)
  * debian/postgresql-common.postinst: Clean up /usr/lib/postgresql/dumpall/
    junk from the Sarge->Etch postgresql transition. This needs to be kept
    until after Lenny's release. (part of #431643)
  * Add debian/postgresql-client-common.postrm: Clean up
    /var/lib/postgresql/.psql_history on purge. Closes: #431643
  * debian/postgresql-common.postinst: Create /var/lib/postgresql/ if it does
    not exist. This should not usually happen, but apparently did anyway.
    (Closes: #438698)

 -- Martin Pitt <mpitt@debian.org>  Mon, 20 Aug 2007 15:45:28 +0200

postgresql-common (76) unstable; urgency=medium

  * Priority medium since this unbreaks client programs like psql in testing.
  * pg_wrapper: Revert changes of version 74 to make this work with taint
    mode. It breaks too many custom setups, and Perl just doesn't allow to
    untaint $PATH bluntly. If you run pg_wrapper from a perl script with taint
    checks enabled, you have to clean $PATH yourself. Closes: #427894
  * t/020_create_sql_remove.t: Check that PL/TCL and PL/TCLu work, so that we
    now have complete test coverage of all four PLs that are shipped with the
    core package.
  * t/001_packages.t: Check that postgresql-pltcl-<version> is installed.
  * PgCommon.pm, get_cluster_socketdir(): Improve error message if data
    directory parent is not readable. Closes: #428698

 -- Martin Pitt <mpitt@debian.org>  Sat, 23 Jun 2007 21:52:58 +0200

postgresql-common (75) unstable; urgency=low

  The "Never run the test suite without 7.4 just because it is deprecated and
  about to be removed" release. Sorry for the trouble.

  * pg_ctlcluster: Partially revert PATH cleansing to make pg_ctl work on 7.4
    again. This can be dropped again once 7.4 is actually removed from the
    archive. Closes: #425594

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 May 2007 09:26:45 +0200

postgresql-common (74) unstable; urgency=low

  * debian/supported_versions:
    - Match any 4.0* as Debian Etch to get the correct set of supported
      versions. Closes: #420915
    - Add Lenny/unstable: only support 8.2.
    - Add Ubuntu 7.10.
    - Don't fail if the distribution cannot be determined at all, only print
      out a warning.
  * pg_createcluster, pg_ctlcluster, pg_dropcluster, pg_maintenance,
    pg_upgradecluster: Strip down PATH untainting to the absolute minimum, to
    not fall over if e. g. /usr/local/bin is misconfigured to be world
    writable. Closes: #420565
  * pg_wrapper: Make this script work with taint checks enabled. This happens
    in a pretty blunt way, since it does not actually make sense to enforce
    environment variables, etc. It should just not fail when being called from
    a -T perl script. Closes: #422129
  * debian/postgresql-common.postinst: Do not hide failures of the init
    script on restart.
  * debian/postgresql-common.config, debian/postgresql-common.templates:
    Remove the check for an untransitioned postgresql, since it was only
    necessary for the Sarge->Etch upgrade. Update debian/po/*.po.
  * Remove debian/postgresql-common.preinst, we only needed it for the
    "untransitioned" test.
  * debian/control: Move cdbs and debhelper from B-D-I to B-D, since we need
    them for 'clean'.
  * Add debian/postgresql-client-common.lintian: Lintian overrides for 'binary
    without manpage'. The stuff in /usr/bin is just a symlink to pg_wrapper,
    postgresql-client-* ships the actual manpages for those.

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 May 2007 15:30:19 +0200
